Upgrade Lua to 5.1.5 and also add an option to be compatible with Lua Lanes #16213

Closed
wants to merge 3 commits into
from

2 participants

@hnakamur

Note: We don't need patch-lua-5.1.4-3 anymore as it is included in lua 5.1.5

@adamv

This may need to be rebased on master

@hnakamur

Hi, I rebased this pull request on master.

@adamv

Thanks; I'm not sure how to evaluate the Lanes compatibility; are there any docs or mailing lists?

@hnakamur

I read "Usage on Mac OS X:" section at https://github.com/LuaLanes/lanes#readme
to create this formula.
According to http://luaforge.net/projects/lanes/ , the mailings lists for Lanes did exist but was shutdown.
I suppose we can ask about Lanes at Lua-l mailing list http://www.lua.org/lua-l.html

@adamv

@jacknagel @mistydemeo @mikemcquaid I'm OK with the Lua 5.1.5 update, but there doesn't seem to be much info on Lanes left out there, so I'm not sure we should pull that change. Thoughts?

@hnakamur

Since no one responded, I dropped Lanes support.
@adamv Could you review this again?
Thanks

@adamv adamv added a commit that closed this pull request Feb 2, 2013
@hnakamur hnakamur Lua 5.1.5
Closes #16213.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
6ecc257
@adamv adamv closed this in 6ecc257 Feb 2, 2013
@n1k0 n1k0 added a commit that referenced this pull request Feb 13, 2013
@hnakamur hnakamur Lua 5.1.5
Closes #16213.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
d0387ad
@rajeeja rajeeja pushed a commit that referenced this pull request Apr 19, 2013
@hnakamur hnakamur Lua 5.1.5
Closes #16213.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
697646d
@xu-cheng xu-cheng locked and limited conversation to collaborators Feb 16, 2016
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.